#include <stdio.h>
#include <stdlib.h>
#include <fat.h>

#include "screen.h"
#include "sound.h"

int main(int argc, char **argv) 
{
	// Instantiate and initialize filesystem
	File filesystem;
    
	// Instantiate and initialize screen
	Screen display;
	
	// Instantiate and initialize sound
	Sound sound;

	// Main loop
	bool done = false;
	
	while(!done) 
	{
		// Process next frame
		done = display.update();
        
        // Process any periodic updates we need in sound
		sound.update();
	}

	return 0;
}
