#include "stack.h"

Stack::Stack()
{
	// Maybe dynamically allocate in the future?
	pos = 0;
}

Stack::~Stack()
{
	// Nothing (maybe dynamically free in the future)
}

bool Stack::push(int p)
{
	if(isFull()) { return false; }
	
	_stack[pos++] = p;
	
	return true;
}

bool Stack::pop(int &p)
{
	if(isEmpty()) { return false; }
	
	p = _stack[--pos];
	
	return true;
}

bool Stack::isEmpty()
{
	return pos == 0 ? true : false;
}

bool Stack::isFull()
{
	return pos == LAZY_STACK_SIZE ? true : false;
}

void Stack::clear()
{
	pos = 0;
}
