#ifndef __STACK_H
#define __STACK_H

#ifdef __cplusplus
extern "C" {
#endif

#define LAZY_STACK_SIZE 100

class Stack
{
	public:
		Stack();
		~Stack();
		
		bool push(int p);
		bool pop(int &p);
		
		bool isEmpty();
		bool isFull();
		
		void clear();
	private:
		int _stack[LAZY_STACK_SIZE];
		int pos;
};

#ifdef __cplusplus
}
#endif

#endif


