#ifndef __YMSOURCE_H
#define __YMSOURCE_H

#ifdef __cplusplus
extern "C" {
#endif

#include <StSoundLibrary.h>

#include "soundsource.h"

class YmSource : public SoundSource
{
	public:
		YmSource();
		virtual ~YmSource();
		
		virtual OpenStatus openLocation(File *sourceFile);
		virtual int renderChunk(uint8_t *buf, int &renderSamples);
		virtual uint32_t getFrequency();
		virtual void close();
		
		virtual int supportsFormat(const char *ext);
	private:
		YMMUSIC *pMusic;
};

#ifdef __cplusplus
}
#endif

#endif
